
Ruby - Bug #3681

Character class abbreviations, + repetition notation and group backreferences issue in Regexp

08/12/2010 01:08 AM - dre3k (Andrei Kulakov)

Status: Closed   

Priority: Normal   

Assignee: naruse (Yui NARUSE)   

Target version:    

ruby -v: ruby 1.9.3dev (2010-08-17 trunk 29020)

[x86_64-freebsd8.1]

Backport:  

Description

=begin

There seems to be a bug in Ruby 1.9.2 rc2 regarding Regular Expression

/([A-Z][a-z]+){2}/   =~ 'TestString' # => 0   #correct

/([A-Z]\w+){2}/      =~ 'TestString' # => nil #should be 0

/(A-Z+){2}/    =~ 'TestString' # => 0   #correct

/(A-Z+){2}/  =~ 'TestString' # => nil #should be 0

/([A-Z]\w{1,10}){2}/ =~ 'TestString' # => 0   #correct

/([A-Z]\w{1,}){2}/   =~ 'TestString' # => nil #should be 0

Ruby 1.9.1 p429 yields correct result

/([A-Z][a-z]+){2}/   =~ 'TestString' # => 0   #correct

/([A-Z]\w+){2}/      =~ 'TestString' # => 0   #correct

/(A-Z+){2}/    =~ 'TestString' # => 0   #correct

/(A-Z+){2}/  =~ 'TestString' # => 0   #correct

/([A-Z]\w{1,10}){2}/ =~ 'TestString' # => 0   #correct

/([A-Z]\w{1,}){2}/   =~ 'TestString' # => 0   #correct

=end

Associated revisions

Revision ce5827c6fb5f211a937282dcbda3b857f8845a9b - 08/17/2010 04:53 PM - naruse (Yui NARUSE)

regcomp.c: revert r26701; it introduces Bug #3681.

[ruby-core:31677]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@29023 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision ce5827c6 - 08/17/2010 04:53 PM - naruse (Yui NARUSE)

regcomp.c: revert r26701; it introduces Bug #3681.

[ruby-core:31677]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@29023 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision f7f765ee306bf499fe4c3e02e76e926bc67f6f5f - 08/18/2010 05:42 AM - yugui (Yuki Sonoda)

merges r29023 from trunk into ruby_1_9_2.

regcomp.c: revert r26701; it introduces Bug #3681.

[ruby-core:31677]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_1_9_2@29029 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision f7f765ee - 08/18/2010 05:42 AM - yugui (Yuki Sonoda)

merges r29023 from trunk into ruby_1_9_2.

regcomp.c: revert r26701; it introduces Bug #3681.

[ruby-core:31677]
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_1_9_2@29029 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 08/17/2010 06:03 PM - naruse (Yui NARUSE)

- Assignee set to naruse (Yui NARUSE)

- ruby -v set to ruby 1.9.3dev (2010-08-17 trunk 29020) [x86_64-freebsd8.1]

=begin

I can reproduce this, I'll fix it.

=end

#2 - 08/18/2010 01:57 AM - naruse (Yui NARUSE)

- Status changed from Open to Closed

- % Done changed from 0 to 100

=begin

This issue was solved with changeset r29023.

Andrei, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

=end
